package App::POS::Printer::TP8017;

use strict;
use warnings;
use Data::Dumper;

use base qw( App::POS::Printer::EpsonTM88 );

sub tweak_content {
  my $self = shift;
  my $cnt_ref = shift;

  my @lines = split /\n/, $$cnt_ref;
  my $str = "";

  for (@lines) {
    #my $line = sprintf("%-40s", $_);
    #$str .= $line."\n";
    #$str .= " ".$_."\n";
    $str .= $_."\n";
  }

  $$cnt_ref = $str;
}

sub justify_right {
  return "";
}

sub justify_left {
  return "";
}

sub paper_cut {
  return
    chr(0x1B).
    chr(0x64).
    chr(0x04).
    chr(0x1D).
    chr(0x56).
    chr(49);
}

1;

